=== debian/changelog ===
ros-kinetic-moveit-setup-assistant (0.9.18-1xenial) xenial; urgency=high

  * [feature] Add joint state controller config by default (#1024 <https://github.com/ros-planning/moveit/issues/1024>)
  * Contributors: Mohmmad Ayman

 -- Dave Coleman <dave@dav.ee>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.17-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Resolve catkin lint issues (#1137 <https://github.com/ros-planning/moveit/issues/1137>)
  * [maintanance] Fix clang issues (#1233 <https://github.com/ros-planning/moveit/issues/1233>)
  * [feature]     Added demo_gazebo.launch (#1051 <https://github.com/ros-planning/moveit/issues/1051>)
  * Contributors: Ludovic Delval, Michael Görner, Mohmmad Ayman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.15-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.14-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.13-1xenial) xenial; urgency=high

  * [fix] Some bugs (#1022 <https://github.com/ros-planning/moveit/issues/1022>, #1013 <https://github.com/ros-planning/moveit/issues/1013>, #1040 <https://github.com/ros-planning/moveit/issues/1040>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] New screen for automatically generating interfaces to low level controllers(#951 <https://github.com/ros-planning/moveit/issues/951>, #994 <https://github.com/ros-planning/moveit/issues/994>, #908 <https://github.com/ros-planning/moveit/issues/908>)
  * [capability] Perception screen for using laser scanner point clouds. (#969 <https://github.com/ros-planning/moveit/issues/969>)
  * [enhancement][GUI] Logo for MoveIt! 2.0, cleanup appearance (#1059 <https://github.com/ros-planning/moveit/issues/1059>)
  * [enhancement][GUI] added a setup assistant window icon (#1028 <https://github.com/ros-planning/moveit/issues/1028>)
  * [enhancement][GUI] Planning Groups screen (#1017 <https://github.com/ros-planning/moveit/issues/1017>)
  * [enhancement] use panda for test, and write test file in tmp dir (#1042 <https://github.com/ros-planning/moveit/issues/1042>)
  * [enhancement] Added capabilties as arg to move_group.launch (#998 <https://github.com/ros-planning/moveit/issues/998>)
  * [enhancement] Add moveit_setup_assistant as depenency of all *_moveit_config pkgs (#1029 <https://github.com/ros-planning/moveit/issues/1029>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [enhancement] Improving gazebo integration. (#956 <https://github.com/ros-planning/moveit/issues/956>, #936 <https://github.com/ros-planning/moveit/issues/936>)
  * [maintenance] Renamed wedgits in setup assistant wedgit to follow convention (#995 <https://github.com/ros-planning/moveit/issues/995>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Alexander Gutenkunst, Dave Coleman, Mike Lautman, MohmadAyman, Mohmmad Ayman, Raghavender Sahdev, Robert Haschke, Sohieb Abdelrahman, mike lautman

 -- Dave Coleman <dave@dav.ee>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.12-1xenial) xenial; urgency=high

  * [maintenance] trim group + link names (#921 <https://github.com/ros-planning/moveit/issues/921>)
  * [feature] combo box to choose default planner (#658 <https://github.com/ros-planning/moveit/issues/658>)
  * [maintenance] cleanup yaml parsing, remove yaml-cpp 0.3 support (#795 <https://github.com/ros-planning/moveit/issues/795>)
  * [feature] allow editing of xacro args (#796 <https://github.com/ros-planning/moveit/issues/796>)
  * Contributors: Mohmmad Ayman, Dave Coleman, Ian McMahon, Michael Görner, Mikael Arguedas, Robert Haschke, Will Baker

 -- Dave Coleman <dave@dav.ee>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.11-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.10-1xenial) xenial; urgency=high

  * [fix][kinetic onward] msa: use qt4-compatible API for default font (#682 <https://github.com/ros-planning/moveit/issues/682>)
  * [fix][kinetic onward] replace explicit use of Arial with default application font (#668 <https://github.com/ros-planning/moveit/issues/668>)
  * [fix] add moveit_fake_controller_manager to run_depend of moveit_config_pkg_template/package.xml.template (#613 <https://github.com/ros-planning/moveit/issues/613>)
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * Contributors: Kei Okada, Michael Görner, Mikael Arguedas, William Woodall

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.9-1xenial) xenial; urgency=high

  * [setup_assistant] Fix for lunar (#542 <https://github.com/ros-planning/moveit/issues/542>) (fix #506 <https://github.com/ros-planning/moveit/issues/506>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.8-1xenial) xenial; urgency=high

  * [enhance] setup assistant: add use_gui param to demo.launch (#532 <https://github.com/ros-planning/moveit/issues/532>)
  * [build] add Qt-moc guards for boost 1.64 compatibility (#534 <https://github.com/ros-planning/moveit/issues/534>)
  * Contributors: Michael Goerner


